CREATE TABLE `dev_club_keys` (
  `privkey` text NOT NULL,
  `publickey` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `dev_club_users` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user` varchar(30) NOT NULL,
  `password` varchar(150) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `address` tinytext NOT NULL,
  `city` varchar(50) NOT NULL,
  `mail` varchar(100) NOT NULL,
  `phone` varchar(50) DEFAULT NULL,
  `mobile` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `dev_club_offers` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `dev_club_positions` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `dev_club_clubs` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `address` tinytext NOT NULL,
  `city` varchar(50) NOT NULL,
  `homepage` varchar(100) NULL,
  `mail` varchar(100) NOT NULL,
  `iban` char(34) NOT NULL,
  `bic` char(11) NOT NULL,
  `charitable` tinyint(1) NOT NULL,
  `president` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `dev_club_offer_assocs` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `clubid` int(10) NOT NULL,
  `offerid` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `dev_club_places` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `clubid` int(10) NOT NULL,
  `name` varchar(100) NOT NULL,
  `address` tinytext NOT NULL,
  `area` int(10) NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `dev_club_user_assocs` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `clubid` int(10) NOT NULL,
  `userid` int(10) NOT NULL,
  `positionid` int(10) NOT NULL,
  `admin` tinyint(1) NOT NULL DEFAULT 0,
  `state` enum('regular', 'vacant', 'temporary') NOT NULL DEFAULT 'vacant',
  `address` tinytext DEFAULT NULL,
  `mail` varchar(100) DEFAULT NULL,
  `phone` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


