<?php

// No direct access.

defined('_JEXEC') or die;

class ClubsOfferAssociation extends AbstractClubsModel
{
    protected $offerid;
    protected $clubid;

    public function getOffer()
    {
        return ClubsOffer::loadOffer($this->offerid);
    }
    
    public function getClub()
    {
        return ClubsClub::loadClub($this->clubid);
    }
    
    public function setOffer($offer)
    {
        $this->offerid = $offer->getId();
    }
    
    public function getName()
    {
        return $this->getOffer()->getName();
    }
    
    public function setClub($club)
    {
        $this->clubid = $club->getId();
    }

    protected function __construct()
    {}
    
    public static function getFactory()
    {
        return new ClubsOfferAssociationFactory();
    }
    
    private const tableName = '#__club_offer_assocs';
    private const className = 'ClubsOfferAssociation';
    
    public static function loadOfferAssociationsOfClub($club)
    {
        $cid = $club->getId();
        return self::loadElements(self::tableName, self::className, "clubid = $cid");
        // FIXME Use join to make access faster
    }
    
    
    public static function loadOfferAssociation(int $id)
    {
        return self::loadElement($id, self::tableName, self::className);
    }
    
    public static function createOfferAssociation()
    {
        $offer = new ClubsOfferAssociation();
//         $offer->id = 'new';
        return $offer;
    }
    
    protected function getDataMappings()
    {
//         return array('name');
    }

    protected function getTableName()
    {
        return self::tableName;
    }
    
}
