<?php

use Joomla\CMS\Toolbar\ToolbarHelper;

// No direct access.
defined('_JEXEC') or die;

JLoader::register("ClubsControllerClub", JPATH_ROOT . "/administrator/components/com_clubs/controllers/club.php");

class ClubsViewClub extends AbstractClubsViewSingle
{
    function display($tpl = null)
    {
        ToolbarHelper::title('Club-Management - Verein');
        
        $this->prepareDisplay();
        
        $this->users = ClubsUser::loadUsers();
        
        if(! $this->isNew)
        {
            $offers = ClubsOffer::loadOffers();
            $currentOffers = $this->object->getOffers();
            
            $this->offers = array_map(function($offer) use ($currentOffers){
                $mark = False;
                return array('offer'=>$offer, 'mark'=>$mark);
            }, $offers);
        }
        
        parent::display($tpl);
    }
    
    protected function getViewName()
    {
        return 'club';
    }
    protected function getElementController()
    {
        return new ClubsControllerClub();
    }
    
    
}
