<?php

use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;

// No direct access.
defined('_JEXEC') or die;

class ClubsViewUser extends HtmlView
{
    
    public function display($tpl = null)
    {
        $input = Factory::getApplication()->input;
        $id =  $input->get->get('id');
        
        if($id === 'new')
        {
            $this->address = Route::_('index.php?option=com_clubs&task=user.new');
            $this->user = ClubsUser::createUser();
            $this->isNew = true;
        }
        else if(is_numeric($id))
        {
            $this->address = Route::_('index.php?option=com_clubs&task=user.change');
            $this->user = ClubsUser::loadUser((int) $id);
            $this->isNew = false;
        }
        else
            throw new Exception('Need a user id.');
        
        if($input->get->get('data', null, 'json') != null)
        {
            // Restore previous data
            $dataurl = $input->get->get('data', null, 'json');
            $data = json_decode($dataurl, true);
            
            $this->user->setUser($data['user'], true);
            $this->user->setName($data['name']);
            $this->user->setAddress($data['address']);
            $this->user->setCity($data['city']);
            $this->user->setMail($data['mail']);
            $this->user->setPhone($data['phone']);
            $this->user->setMobile($data['mobile']);
            
        }
        
        ToolbarHelper::title('Club-Management - Person');
        parent::display($tpl);
    }
    
}
