<?php

use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Factory;

// No direct access.
defined('_JEXEC') or die;

JLoader::register("ClubsHelperAuth", JPATH_ROOT . "/components/com_clubs/helpers/auth.php");

class ClubsControllerLogin extends BaseController
{
    public function login()
    {
        $helper = new ClubsHelperAuth();
        $helper->logoffCookie();
        
        $input = Factory::getApplication()->input;
        $user = $input->get('user');
        $pwd = $input->get('password');
        $success = $helper->checkUser($user, $pwd);
        
        if($success)
        {
            // Login succeeded
            $keep = (bool) $input->get('keep', false);
            $helper->loginCookie($user, $keep);
            
            $this->setRedirect("?option=com_clubs");
        }
        else
        {
            $this->setRedirect("?option=com_clubs&view=login&state=failed");
        }
    }
    
    public function logout()
    {
        $helper = new ClubsHelperAuth();
        $helper->logoffCookie();
        $this->setRedirect("?option=com_clubs&view=login");
    }
}
