<?php

use Joomla\CMS\MVC\Model\BaseDatabaseModel;
use Joomla\CMS\Factory;

// No direct access.
defined('_JEXEC') or die;

class ClubsModelSignkey extends BaseDatabaseModel
{
    
    public function getKeys()
    {
        $db = Factory::getDbo();
        $query = $db->getQuery(true);
        $query->select('privkey,publickey')
            ->from("#__club_keys");
        $db->setQuery($query);
        $result = $db->loadAssoc();
        $query->clear();
        
        $ret = array();
        if($result == null)
        {
            // No key was yet generated
            $ret = $this->genKeyPair();
            $this->saveKeyPair($db, $ret);
        }
        else
        {
            $ret['priv'] = $result['privkey'];
            $ret['public'] = $result['publickey'];
        }
        return $ret;
    }
    
    private function genKeyPair()
    {
        $ret = array();
        
        $pkey = openssl_pkey_new();
        openssl_pkey_export($pkey, $ret['priv']) or die ("Error generating key.");
        $details = openssl_pkey_get_details($pkey);
        $ret['public'] = $details['key'];
        
        return $ret;
    }
    
    private function saveKeyPair($db, $ret)
    {
        $query = $db->getQuery(true);
        $query->insert('#__club_keys');
        $query->into('privkey, publickey');
        $query->values($db->q($ret['priv']) . ', ' . $db->q($ret['public']));
        $db->setQuery($query);
        $db->execute();
        $query->clear();
    }
    
}
